Package de.willuhn.jameica.hbci.server

# Class Range.CustomRange

java.lang.Object
de.willuhn.jameica.hbci.server.Range
de.willuhn.jameica.hbci.server.Range.CustomRange

Enclosing class:
  `Range`

public static class Range.CustomRange extends Range
Ein benutzerdefinierter Zeitraum.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.server.Range

`Range.All, Range.Category, Range.CustomRange, Range.Last10Years, Range.Last12Months, Range.Last365Days, Range.Last3Years, Range.Last5Years, Range.LastMonth, Range.LastNinetyDays, Range.LastQuarter, Range.LastSevenDays, Range.LastThirtyDays, Range.LastWeek, Range.LastYear, Range.SecondLastMonth, Range.SecondLastQuarter, Range.SecondLastWeek, Range.SecondLastYear, Range.ThisMonth, Range.ThisQuarter, Range.ThisWeek, Range.ThisYear`

## Method Summary

Modifier and Type
Method
Description
`static Range.CustomRange`
`create()`
Erzeugt einen neuen benutzerspezfischen Zeitraum.
`boolean`
`equals(Object obj)`
`int`
`getDaysFuture()`
Liefert die Anzahl der Tage in der Zukunft.
`int`
`getDaysPast()`
Liefert die Anzahl der Tage in der Vergangenheit.
`Date`
`getEnd()`
Berechnet das End-Datum.
`String`
`getId()`
Liefert einen Identifier fuer den Range.
`Date`
`getStart()`
Berechnet das Start-Datum.
`void`
`setDaysFuture(int days)`
Speichert die Anzahl der Tage in der Zukunft.
`void`
`setDaysPast(int days)`
Speichert die Anzahl der Tage in der Vergangenheit.
`void`
`setName(String name)`
Speichert den Namen des Zeitraumes.
`String`
`toString()`

### Methods inherited from class de.willuhn.jameica.hbci.server.Range

`byId, createCalendar, deleteCustomRange, getActiveRanges, getAllRanges, resetActiveRanges, saveCustomRange, setActiveRanges`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### create

public static Range.CustomRange create()
Erzeugt einen neuen benutzerspezfischen Zeitraum.

Returns:
  der neue benutzerspezifische Zeitraum.

### getId

public String getId()
Description copied from class: `Range`
Liefert einen Identifier fuer den Range.

Overrides:
  `getId` in class `Range`
Returns:
  Identifier fuer den Range.
See Also:
  - `Range.getId()`

### getStart

public Date getStart()
Description copied from class: `Range`
Berechnet das Start-Datum.

Specified by:
  `getStart` in class `Range`
Returns:
  das Start-Datum.
See Also:
  - `Range.getStart()`

### getDaysPast

public int getDaysPast()
Liefert die Anzahl der Tage in der Vergangenheit.

Returns:
  die Anzahl der Tage in der Vergangenheit.

### getEnd

public Date getEnd()
Description copied from class: `Range`
Berechnet das End-Datum.

Specified by:
  `getEnd` in class `Range`
Returns:
  das End-Datum.
See Also:
  - `Range.getEnd()`

### getDaysFuture

public int getDaysFuture()
Liefert die Anzahl der Tage in der Zukunft.

Returns:
  die Anzahl der Tage in der Zukunft.

### setDaysPast

public void setDaysPast(int days)
Speichert die Anzahl der Tage in der Vergangenheit.

Parameters:
  `days` - die Anzahl der Tage.

### setDaysFuture

public void setDaysFuture(int days)
Speichert die Anzahl der Tage in der Zukunft.

Parameters:
  `days` - die Anzahl der Tage.

### setName

public void setName(String name)
Speichert den Namen des Zeitraumes.

Parameters:
  `name` - der Name des Zeitraumes.

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`